#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	XML
%define		pnam	SAX-ExpatXS
Summary:	XML::SAX::ExpatXS - Perl SAX 2 XS extension to Expat parser
Summary(pl.UTF-8):	XML::SAX::ExpatXS - rozszerzenie XS Perla SAX 2 do analizatora Expat
Name:		perl-XML-SAX-ExpatXS
Version:	1.32
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f895b4be6b1b5f81366955cdd7ac5724
Patch0:		%{name}-Makefile.PL.patch
URL:		http://search.cpan.org/dist/XML-SAX-ExpatXS/
BuildRequires:	expat-devel
%if %{with tests}
BuildRequires:	perl-XML-SAX >= 0.13
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::ExpatXS is a direct XS extension to Expat XML parser. It
implements Perl SAX 2.1 interface.

%description -l pl.UTF-8
XML::SAX::ExpatXS to bezpośrednie rozszerzenie XS do analizatora XML-a
Expat. Implementuje interfejs Perla SAX 2.1.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::ExpatXS))->save_parsers()"

%postun
if [ "$1" = "0" ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::SAX::ExpatXS))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/SAX/*
%dir %{perl_vendorarch}/XML/SAX
%dir %{perl_vendorarch}/auto/XML/SAX
%dir %{perl_vendorarch}/auto/XML/SAX/ExpatXS
%attr(755,root,root) %{perl_vendorarch}/auto/XML/SAX/ExpatXS/*.so
%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-SAX-ExpatXS.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> c2bc6d5
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fa9aa38
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> ee9ddc0
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 29c458f
- rebuild with perl 5.28.0
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f2ff31d
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 282bd02
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 656238b
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 522490f
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 556ee7f
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e04d2b9
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8564c87
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3a2c673
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b1041ae
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 7098666
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Fri Jul 01 2011 marti <marti@pld-linux.org> 2df9ba1
- up to 1.32

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb46e89
- release 2

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 9c68aa0
- updated to 1.31

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> dbd0285
- initial

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 0c7d583
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ec4393b
- rel 3

